Bug 1808811 - /lib64/libefivar.so.1 isn't CET enabled
Summary: /lib64/libefivar.so.1 isn't CET enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: efivar
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1808484
Blocks: 1802674
TreeView+ depends on / blocked
 
Reported: 2020-03-01 11:42 UTC by H.J. Lu
Modified: 2021-06-17 11:31 UTC (History)
3 users (show)

Fixed In Version: efivar-37-16.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-17 11:31:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rhboot efivar pull 149 0 None closed guids.S: Include <cet.h> when CET is enabled 2020-12-23 15:49:49 UTC

Description H.J. Lu 2020-03-01 11:42:45 UTC
[hjl@gnu-tgl-1 ~]$ readelf -n /lib64/libefivar.so.1 2>&1 | grep IBT
[hjl@gnu-tgl-1 ~]$

Comment 1 H.J. Lu 2020-03-01 11:51:45 UTC
It is also compiled with -flto.

Comment 2 Ben Cotton 2020-08-11 13:12:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Fedora Update System 2021-06-17 11:28:05 UTC
FEDORA-2021-82526afb7c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-82526afb7c

Comment 4 Fedora Update System 2021-06-17 11:31:17 UTC
FEDORA-2021-82526afb7c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.